--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Initializes relationships hash for extended model class.
- !ruby/struct:SM::Flow::P 
  body: "When model calls has n, has 1 or belongs_to, relationships are stored in that hash: keys are repository names and values are relationship sets."
- !ruby/struct:SM::Flow::P 
  body: "@api private"
full_name: DataMapper::Model::Relationship::extended
is_singleton: true
name: extended
params: (model)
visibility: public
